Name:       gujarati-typing-booster
Version:    0.0.1
Release:    1%{?dist}
Summary:    Gujarati typing booster table for IBus indic tables
License:    GPLv3+
Group:      System Environment/Libraries
URL:        https://fedorahosted.org/indic-typing-booster/
Source0:    https://fedorahosted.org/releases/i/n/indic-typing-booster/%{name}-%{version}.tar.gz
BuildArch:  noarch

Requires:         ibus-indic-table
BuildRequires:    ibus-indic-table

%description
Gujarati typing booster package contains tables for inscript \
and phonetic.

%prep
%setup -q

%build
%configure \
  --enable-gujarati-phonetic \
  --enable-gujarati-inscript
make %{?_smp_mflags}

%install
make DESTDIR=${RPM_BUILD_ROOT} NO_INDEX=true install
cd ${RPM_BUILD_ROOT}/%{_datadir}/ibus-indic-table/indic-tables/
%{_bindir}/ibus-indic-table-createdb -i -n gujarati-phonetic.db
%{_bindir}/ibus-indic-table-createdb -i -n gujarati-inscript.db


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README ChangeLog
%{_datadir}/ibus-indic-table/icons/gujarati.svg
%{_datadir}/ibus-indic-table/indic-tables/gujarati-phonetic.db
%{_datadir}/ibus-indic-table/indic-tables/gujarati-inscript.db



%changelog
* Thu Mar 10 2011 Pravin Satpute <psatpute@redhat.com> - 0.0.1-1
- The first version.
- Added Gujarati Phonetic (iTranse)
- Added Gujarati Inscript
